## cascading.operation
Interface BufferCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface BufferCall<C>

extends OperationCall<C>

Interface BufferCall provides access to the current `Buffer` invocation arguments.

Method Summary
`Iterator<TupleEntry>` `getArgumentsIterator()` Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.
`TupleEntry` `getGroup()` Returns the current grouping `TupleEntry`.
`TupleEntryCollector` `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.

Methods inherited from interface cascading.operation.OperationCall
`getArgumentFields, getContext, setContext`

Method Detail

### getGroup

    TupleEntry getGroup()

  Returns the current grouping `TupleEntry`.

  Returns:
    TupleEnry

### getArgumentsIterator

    Iterator<TupleEntry> getArgumentsIterator()

  Returns an `Iterator` of `TupleEntry` instances representing the arguments for the called `Buffer.operate(cascading.flow.FlowProcess, BufferCall)` method.

  Returns:
    Iterator<TupleEntry>

### getOutputCollector

    TupleEntryCollector getOutputCollector()

  Returns the `TupleEntryCollector` used to emit result values. Zero or more entries may be emitted.

  Returns:
    TupleCollector

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.